<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('is_mother_uae_national')->nullable()->default('0');
            $table->string('is_pending_from_admin')->nullable()->default('0');
            $table->string('birth_certificate')->nullable();
            $table->string('mothers_emirates_id')->nullable();
            $table->string('reject_reason')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('is_mother_uae_national');
            $table->dropColumn('is_pending_from_admin');
            $table->dropColumn('birth_certificate');
            $table->dropColumn('mothers_emirates_id');
            $table->dropColumn('reject_reason');
        });
    }
};
